import Foundation

struct Pro_Package_Model : Codable {
    
	let id : String?
	let type : String?
	let price : String?
	let featured_member : String?
	let profile_visitors : String?
	let last_seen : String?
	let verified_badge : String?
	let posts_promotion : String?
	let pages_promotion : String?
	let discount : String?
	let image : String?
	let night_image : String?
	let color : String?
	let description : String?
	let status : String?
	let time : String?
	let time_count : String?
	let max_upload : String?
	let features : String?
	let can_use_funding : IntString?
	let can_use_jobs : IntString?
	let can_use_games : Int?
	let can_use_market : IntString?
	let can_use_events : IntString?
	let can_use_forum : Int?
	let can_use_groups : Int?
	let can_use_pages : Int?
	let can_use_audio_call : Int?
	let can_use_video_call : Int?
	let can_use_offer : Int?
	let can_use_blog : IntString?
	let can_use_movies : Int?
	let can_use_story : Int?
	let can_use_stickers : Int?
	let can_use_gif : Int?
	let can_use_gift : Int?
	let can_use_nearby : Int?
	let can_use_video_upload : Int?
	let can_use_audio_upload : Int?
	let can_use_shout_box : Int?
	let can_use_colored_posts : Int?
	let can_use_poll : Int?
	let can_use_live : Int?
	let can_use_background : IntString?
	let can_use_chat : Int?
	let can_use_affiliate : Int?
	let can_use_ai_image : IntString?
	let can_use_ai_post : IntString?
	let can_use_ai_user : IntString?
	let can_use_ai_blog : IntString?
    let can_use_reels_upload : IntString?
	let name : String?
	let ex_time : Int?

	enum CodingKeys: String, CodingKey {

		case id = "id"
		case type = "type"
		case price = "price"
		case featured_member = "featured_member"
		case profile_visitors = "profile_visitors"
		case last_seen = "last_seen"
		case verified_badge = "verified_badge"
		case posts_promotion = "posts_promotion"
		case pages_promotion = "pages_promotion"
		case discount = "discount"
		case image = "image"
		case night_image = "night_image"
		case color = "color"
		case description = "description"
		case status = "status"
		case time = "time"
		case time_count = "time_count"
		case max_upload = "max_upload"
		case features = "features"
		case can_use_funding = "can_use_funding"
		case can_use_jobs = "can_use_jobs"
		case can_use_games = "can_use_games"
		case can_use_market = "can_use_market"
		case can_use_events = "can_use_events"
		case can_use_forum = "can_use_forum"
		case can_use_groups = "can_use_groups"
		case can_use_pages = "can_use_pages"
		case can_use_audio_call = "can_use_audio_call"
		case can_use_video_call = "can_use_video_call"
		case can_use_offer = "can_use_offer"
		case can_use_blog = "can_use_blog"
		case can_use_movies = "can_use_movies"
		case can_use_story = "can_use_story"
		case can_use_stickers = "can_use_stickers"
		case can_use_gif = "can_use_gif"
		case can_use_gift = "can_use_gift"
		case can_use_nearby = "can_use_nearby"
		case can_use_video_upload = "can_use_video_upload"
		case can_use_audio_upload = "can_use_audio_upload"
		case can_use_shout_box = "can_use_shout_box"
		case can_use_colored_posts = "can_use_colored_posts"
		case can_use_poll = "can_use_poll"
		case can_use_live = "can_use_live"
		case can_use_background = "can_use_background"
		case can_use_chat = "can_use_chat"
		case can_use_affiliate = "can_use_affiliate"
		case can_use_ai_image = "can_use_ai_image"
		case can_use_ai_post = "can_use_ai_post"
		case can_use_ai_user = "can_use_ai_user"
		case can_use_ai_blog = "can_use_ai_blog"
        case can_use_reels_upload = "can_use_reels_upload"
		case name = "name"
		case ex_time = "ex_time"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		id = try values.decodeIfPresent(String.self, forKey: .id)
		type = try values.decodeIfPresent(String.self, forKey: .type)
		price = try values.decodeIfPresent(String.self, forKey: .price)
		featured_member = try values.decodeIfPresent(String.self, forKey: .featured_member)
		profile_visitors = try values.decodeIfPresent(String.self, forKey: .profile_visitors)
		last_seen = try values.decodeIfPresent(String.self, forKey: .last_seen)
		verified_badge = try values.decodeIfPresent(String.self, forKey: .verified_badge)
		posts_promotion = try values.decodeIfPresent(String.self, forKey: .posts_promotion)
		pages_promotion = try values.decodeIfPresent(String.self, forKey: .pages_promotion)
		discount = try values.decodeIfPresent(String.self, forKey: .discount)
		image = try values.decodeIfPresent(String.self, forKey: .image)
		night_image = try values.decodeIfPresent(String.self, forKey: .night_image)
		color = try values.decodeIfPresent(String.self, forKey: .color)
		description = try values.decodeIfPresent(String.self, forKey: .description)
		status = try values.decodeIfPresent(String.self, forKey: .status)
		time = try values.decodeIfPresent(String.self, forKey: .time)
		time_count = try values.decodeIfPresent(String.self, forKey: .time_count)
		max_upload = try values.decodeIfPresent(String.self, forKey: .max_upload)
		features = try values.decodeIfPresent(String.self, forKey: .features)
		can_use_funding = try values.decodeIfPresent(IntString.self, forKey: .can_use_funding)
		can_use_jobs = try values.decodeIfPresent(IntString.self, forKey: .can_use_jobs)
		can_use_games = try values.decodeIfPresent(Int.self, forKey: .can_use_games)
        can_use_market = try values.decodeIfPresent(IntString.self, forKey: .can_use_market)
		can_use_events = try values.decodeIfPresent(IntString.self, forKey: .can_use_events)
		can_use_forum = try values.decodeIfPresent(Int.self, forKey: .can_use_forum)
		can_use_groups = try values.decodeIfPresent(Int.self, forKey: .can_use_groups)
		can_use_pages = try values.decodeIfPresent(Int.self, forKey: .can_use_pages)
		can_use_audio_call = try values.decodeIfPresent(Int.self, forKey: .can_use_audio_call)
		can_use_video_call = try values.decodeIfPresent(Int.self, forKey: .can_use_video_call)
		can_use_offer = try values.decodeIfPresent(Int.self, forKey: .can_use_offer)
		can_use_blog = try values.decodeIfPresent(IntString.self, forKey: .can_use_blog)
		can_use_movies = try values.decodeIfPresent(Int.self, forKey: .can_use_movies)
		can_use_story = try values.decodeIfPresent(Int.self, forKey: .can_use_story)
		can_use_stickers = try values.decodeIfPresent(Int.self, forKey: .can_use_stickers)
		can_use_gif = try values.decodeIfPresent(Int.self, forKey: .can_use_gif)
		can_use_gift = try values.decodeIfPresent(Int.self, forKey: .can_use_gift)
		can_use_nearby = try values.decodeIfPresent(Int.self, forKey: .can_use_nearby)
		can_use_video_upload = try values.decodeIfPresent(Int.self, forKey: .can_use_video_upload)
		can_use_audio_upload = try values.decodeIfPresent(Int.self, forKey: .can_use_audio_upload)
		can_use_shout_box = try values.decodeIfPresent(Int.self, forKey: .can_use_shout_box)
		can_use_colored_posts = try values.decodeIfPresent(Int.self, forKey: .can_use_colored_posts)
		can_use_poll = try values.decodeIfPresent(Int.self, forKey: .can_use_poll)
		can_use_live = try values.decodeIfPresent(Int.self, forKey: .can_use_live)
		can_use_background = try values.decodeIfPresent(IntString.self, forKey: .can_use_background)
		can_use_chat = try values.decodeIfPresent(Int.self, forKey: .can_use_chat)
		can_use_affiliate = try values.decodeIfPresent(Int.self, forKey: .can_use_affiliate)
		can_use_ai_image = try values.decodeIfPresent(IntString.self, forKey: .can_use_ai_image)
		can_use_ai_post = try values.decodeIfPresent(IntString.self, forKey: .can_use_ai_post)
		can_use_ai_user = try values.decodeIfPresent(IntString.self, forKey: .can_use_ai_user)
		can_use_ai_blog = try values.decodeIfPresent(IntString.self, forKey: .can_use_ai_blog)
        can_use_reels_upload = try values.decodeIfPresent(IntString.self, forKey: .can_use_reels_upload)
		name = try values.decodeIfPresent(String.self, forKey: .name)
		ex_time = try values.decodeIfPresent(Int.self, forKey: .ex_time)
	}

}
